﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class HydraulicPress : MonoBehaviour, IResettableObject, ITriggableObject {

    public GameController gc;
    public Animation hydraulicPressAnimation;
    public string animationName;
    private Vector3 startPosition;

    private void Start()
    {
        startPosition = this.transform.position;    
    }

    private void FixedUpdate()
    {

    }

    void IResettableObject.resetObject()
    {
        hydraulicPressAnimation[animationName].normalizedTime = 0;
        hydraulicPressAnimation[animationName].time = 0;
        hydraulicPressAnimation.Stop();
        this.transform.position = startPosition;
    }

    void ITriggableObject.triggerEvent(Collider2D collider)
    {
        activateHydraulicPress(collider);
    }

    private void activateHydraulicPress(Collider2D collision)
    {
        if (collision.gameObject.name == "Ball" && hydraulicPressAnimation[animationName].normalizedTime == 0)
        {
            hydraulicPressAnimation[animationName].speed = 1;
            hydraulicPressAnimation.Play();
        }
    }
}
