﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

using UnityEngine;
using System.Collections;

public class TransformFollower : MonoBehaviour
{ 
    [SerializeField]
    private Transform target;

    [SerializeField]
    public Vector3 offsetPosition;

    [SerializeField]
    private Space offsetPositionSpace = Space.Self;

    public float damping = 2;

    private void Start()
    {
        this.transform.position = target.transform.position;
    }

    private void FixedUpdate()
    {
        Refresh();
    }

    public void Refresh()
    {
        if (target == null)
        {
            Debug.LogWarning("Missing target ref !", this);

            return;
        }

        float wantedX = target.position.x + offsetPosition.x;
        float currentX = transform.position.x;
        currentX = Mathf.Lerp(currentX, wantedX, damping * Time.deltaTime);
        transform.position = new Vector3(currentX, target.position.y + offsetPosition.y, target.position.z + offsetPosition.z);
    }

}